Skip To Content

Preguntas habituales acerca de la compatibilidad entre versiones

En este tema se describen algunas preguntas habituales sobre el comportamiento de ArcGIS Server 10.8 cuando se utiliza con componentes de software de ArcGIS de versiones anteriores.

ArcGIS Server 10.8 tiene una arquitectura y una apariencia similares a las de la versión 10.1 y posteriores; se puede actualizar directamente desde estas versiones sin necesidad de desinstalarlo.

Las respuestas contenidas en este tema corresponden a los componentes de software de ArcGIS de las versiones 10.3 y posteriores.

¿Puedo federar un sitio de ArcGIS Server con un portal de otra versión?

Todos los elementos de su implementación base de ArcGIS Enterprise, incluido el servidor de alojamiento, deben ser de la misma versión de es su portal. Todos los sitios de ArcGIS GeoEvent Server, los sitios de GeoAnalytics Server y los sitios de análisis de ráster de ArcGIS Image Server también tienen que coincidir con la versión del portal.

Sin embargo, algunos sitios de ArcGIS Server de la versión 10.5 o posterior se pueden federar con un portal de una versión más reciente. Esto se aplica a los sitios de ArcGIS GIS Server adicionales más allá del servidor de alojamiento y a cualquier ArcGIS Image Server que no esté designado para el análisis de ráster.

No es posible federar un sitio de ArcGIS Server con un portal de una versión anterior a la suya.

¿Puedo conectarme a ArcGIS Server desde una versión anterior de ArcMap o ArcGIS Pro?

Sí, puede agregar una conexión de usuario o una conexión de publicador desde cualquier versión admitida actualmente de ArcMap y una conexión de usuario desde cualquier versión de ArcGIS Pro a cualquier versión admitida de ArcGIS Server.

¿Puedo administrar ArcGIS Server mediante otra versión de ArcMap?

No. Para administrar un servidor, debe usar la misma versión de ArcMap. Si está usando versiones diferentes de los dos componentes de software, plantéese usar la aplicación web de ArcGIS Server Manager para administrar su servidor.

¿Puedo publicar un servicio en ArcGIS Server desde una versión anterior de ArcGIS Desktop?

Por lo general, sí. Si está publicando un servicio de geoprocesamiento, la versión ArcGIS Desktop debe coincidir con ArcGIS Server.

La edición de las propiedades de un data store durante la publicación se considera un proceso administrativo que presenta limitaciones de compatibilidad.

Legado:
Si su servidor utiliza autenticación de nivel web o si está federado con un portal de ArcGIS Enterprise, debe usar ArcGIS Desktop 10.2 o posterior para publicar.

¿Puedo publicar un servicio en ArcGIS Server desde una versión posterior de ArcGIS Desktop?

Por lo general, sí. Sin embargo, no podrá utilizar ninguna de las nuevas funciones hasta que su servidor se actualice a la misma versión.

Si está publicando un servicio de geoprocesamiento, las versiones ArcGIS Desktop y ArcGIS Server deben coincidir.

No puede publicar ningún servicio de imágenes que contenga un dataset de mosaico proveniente de ArcMap o ArcGIS Pro en una versión anterior de ArcGIS Server. Las nuevas entidades agregadas a los datasets de mosaico de cada versión no se pueden procesar con versiones anteriores de ArcGIS Server.

¿Puedo configurar una versión diferente de ArcGIS Web Adaptor con ArcGIS Server?

No. Para configurar ArcGIS Web Adaptor con ArcGIS Server, ambos componentes de software de deben ser de la misma versión.

Para actualizar ArcGIS Web Adaptor, debe desinstalar la instancia de la versión anterior e instalar una instancia en la nueva versión. Al especificar el mismo nombre que su Web Adaptor anterior, puede garantizar que sus URL de Web Adaptor se mantengan idénticas tras la actualización.

Más información sobre ArcGIS Web Adaptor

¿Puedo reutilizar un mapa en caché que creé en una versión anterior de ArcGIS Server?

Sí. Las memorias caché de mapas de las versiones anteriores (10.1 y posteriores) están disponibles inmediatamente tras la actualización.

El formato de almacenamiento compacto en caché proporciona un óptimo rendimiento al consumir servicios de mapas e imágenes en caché, creándose un número menor de archivos en el directorio de caché en comparación con el formato de caché expandido. Si su caché presenta el formato expandido y desea que su caché existente se beneficie de estas mejoras de rendimiento, debe actualizar la caché. Para obtener más información, consulte Cachés compactas.

¿Puedo conectarme a geodatabases de una versión anterior de ArcGIS Server?

Sí. Para obtener una lista de versiones compatibles, consulte Compatibilidad entre clientes y geodatabases.

¿Puedo publicar en ArcGIS Server servicios que contengan datos de geodatabases de una versión anterior?

En la mayoría de los casos, la versión de la geodatabase no tiene por qué coincidir con la versión de ArcGIS Server. Para obtener información específica sobre qué versiones de geodatabase son compatibles con ArcGIS Server 10.8, consulte Compatibilidad de cliente y geodatabase.

¿Debo actualizar mi geodatabase para utilizarla como base de datos administrada de ArcGIS Server?

Las versiones de geodatabase anteriores se pueden usar como la base de datos administrada de un sitio de ArcGIS Server. Para obtener información específica sobre qué versiones de geodatabase son compatibles con ArcGIS Server 10.8, consulte Compatibilidad de cliente y geodatabase.

Las bases de datos administradas son geodatabases corporativas registradas con sitios de ArcGIS Server para facilitar el acceso a las entidades en escenarios en los que se necesita almacenar los datos en una ubicación distinta de la ubicación de origen. Para obtener más información, consulte Copiar datos al publicar en ArcGIS Server.

Nota:

Los servicios de entidades y los servicios WFS publicados desde ArcGIS Pro en un servidor independiente deben hacer referencia a los datos de una geodatabase corporativa y no pueden usar una base de datos administrada.